App öffnen
Moonborn — API · webhooks

Fetch a webhook endpoint by id

GET/v1/webhooks/{id}scope · Bearer (API key or session JWT)
Path parameters
FieldTypeDescription
idreqstringWebhook endpoint id (e.g. `whe_*`).

Responses

200OK
Body
FieldTypeDescription
endpointIdreqstring
orgIdreqstring
urlreqstring
eventsreqstring · "persona.created" | "persona.updated" | "persona.deleted" | "persona.archived" | "persona.regenerated" | "persona.audit_failed" | "generation.run.started" | "generation.run.completed" | "generation.run.failed" | "subscription.upgraded" | "subscription.downgraded" | "subscription.cancelled" | "marketplace.persona.published" | "marketplace.persona.purchased" | "moderation.flagged" | "webhook.endpoint.test_ping" | object[]
statusreqstring · "active" | "suspended" | "archived"
descriptionreqstring
secretsreqobject[]
createdAtreqstring
updatedAtreqstring
401Unauthenticated
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring
404Endpoint not found
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring

Examples

cURL
curl -X GET https://api.moonborn.co/v1/webhooks/<id> \
  -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';

const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });

const result = await client.webhooks.getWebhookEndpoint({
  id: '<id>',
});
Python
import os
from moonborn import Moonborn

client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])

result = client.webhooks.get_webhook_endpoint(
    id="<id>",
)